tcl_calls.d(1m)

NAME
tcl_calls.d - count Tcl calls (proc/cmd) using DTrace.

SYNOPSIS
tcl_calls.d

DESCRIPTION
This traces activity from all Tcl processes on the system with DTrace provider support (tcl8.4.16). TYPEs:
proc    procedure
cmd    command
PORTIONS: Copyright (c) 2007 Brendan Gregg. CDDL HEADER START The contents of this file are subject to the terms of the Common Development and Distribution License, Version 1.0 only (the "License"). You may not use this file except in compliance with the License. You can obtain a copy of the license at Docs/cddl1.txt or http://www.opensolaris.org/os/licensing. See the License for the specific language governing permissions and limitations under the License. CDDL HEADER END
09-Sep-2007    Brendan Gregg    Created this.

OS
Any

STABILITY
Evolving - uses the DTrace Tcl provider, which may change as additional features are introduced. Check Tcl/Readme to see what version these scripts are based on.

EXAMPLES

Default output,
    # tcl_calls.d

FIELDS

PID Process ID

TYPE
    Type of call (see below)

NAME
    Name of proc or cmd call

COUNT
    Number of calls during sample

DOCUMENTATION
See the DTraceToolkit for further documentation under the Examples, Notes and Docs directories. The example files may be especially useful as they aim to demonstrate how to interpret the output.

EXIT
tcl_calls.d will run until Ctrl-C is hit.

AUTHOR

SEE ALSO
dtrace(1M)